﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"
image alex = "Alex.png"
image demetri = "Demetri.png"
image lola = "Lola.png"
image harry = "Harry.png"
image demetri demon = "Demetri_demon.png"
image demetri demon frown = "Demetri_demon_frown.png"
image demetri demon happy = "Demetri_demon_happy.png"
image demetri happy = "Demetri_happy.png"
image demetri frown = "Demetri_frown.png"
image demetri angry = "Demetri_angry.png"
image demetri sinister = "Demetri_sinister.png"
image lola blush = "Lola_blush.png"
image lola happy = "Lola_happy.png"
image lola frown = "Lola_frown.png"
image lola sinister = "Lola_sinister.png"
image lola angry = "Lola_angry.png"
image alex blush = "Alex_blush.png"
image alex happy ="Alex_happy.png"
image alex frown ="Alex_frown.png"
image alex angry = "Alex_angry,png"
image classroom = "classroom.png"
image cafeteria = "cafeteria.png"
image livingroom = "livingroom.png"
image hell = "hell.png"
image street = "street.png"
image library = "library.png"
image fastfood = "fastfood.png"
image bookstore = "bookstore.png"

# Declare characters used by this game.
define e = Character('Eileen', color="#c8ffc8")
define d = Character('Demetri', color="#000000")
define l = Character('Lola', color="#ea9999")
define a = Character('Alex', color="#4b096c")
define h = Character('Harry', color="#6b5d3d")

# The game starts here.
label start:
    $alex_love =0
    $lola_love =0
    $good =0
    $evil =0
    scene hell
    show demetri demon frown at right
    show harry at left
    with pixellate
    play music "Video Dungeon Boss.mp3" fadeout 1
    "I'm a demon."
    d "I'm bored."
    h "What do ya want me to do about it boss?"
    d "Entertain me."
    "A demon called Demetri."
    h "Um... er... I can sing a song?"
    "..."
    d "Okay then.{w} Well get on with it."
    h "Um... La la la la!{w} Fa la la la la!"
    "I'm currently looking for something to do."
    d "No!{w} A song with words you dimwit."
    h "99 bottles of  beer on the wall, 99 bottles of beer!"
    d "Agh!{w} You're a terrible singer."
    "But I seem to be getting nowhere."
    h "Well no need to hurt my feelings, boss..."
    d "And stop calling me boss! {w}I thought I told you to adress me as milord?"
    h "But boss... that sounds so dumb."
    d "I'll be the judge of what's dumb!"
    show demetri demon happy at right
    d "Wait a minute!{w} It's hit me!"
    h "What hit ya boss? {w}One of them fireballs?"
    show demetri demon frown at right
    d "No, you nitwit.{w} Something far better than a fireball. {w}An idea!"
    h "Really? {w}I'll prepare for the worst then."
    d "Ugh! {w} Why do I bother with you?"
    show demetri demon happy at right
    d "I'm going to the human world!"
    h "Last month when you went to the human world you said it was boring."
    d "That was last month, this is this month! {w}Anyway, I'm going! Nothing can stop me!"
    hide demetri demon happy
    hide harry
   
    scene street
    show demetri demon happy at left
    show harry at right
    with pixellate
    play music "Pamgaea.mp3" fadeout 1
    d "Here we are! {w}The human world!"
    h "Uh... Boss?{w} Ain't ya forgetting something? "
    d "Ah, right."
    show demetri happy at left with pixellate
    d "There we go!"
    h "So... what now?"
    d "Uh... I haven't gotten that far."
    h "We could go to Burger Bin."
    d "A human's coming!{w} Quickly, hide!"
    hide harry with moveoutright
    d "Hello good sir.{w} How are you this fine day?"
    "Man" "Aren't you supposed to be in school?"
    d "School... {w}School!{w} YES, THAT'S IT!"
    "Man" "???"
    d "Thank you! {w}Thank you so much sir!"
    "Man" "I'm going to back away slowly now."
    d "You can come out now, Harry!{w} The human's gone!"
    show harry at right with moveinright
    h "Why do I have to hide around humans anyway? {w}I'm just a talking bat."
    d "Yeah, yeah, whatever. {w}Anyway, I just had the most wonderful idea!"
    h "Here we go again..."
    d "I'm going... {w}to school!"
    hide demetri
    hide harry
    
    scene classroom
    with pixellate
    play music "Easy Lemon.mp3" fadeout 1
    "And that's how I ended up here.{w} A demon in the classroom.
    {w} It's actually kind of boring.
    {w} To make things more interesting, I've set a goal for myself."
    "I will corrupt one human before the school year ends."
    "And this is how my adventure started."
    "Mr. Pumprock" "Demetri! {w}Don't space out when you have so much catching up to do!"
    d "Me? {w}Spacing out?{w} Why, I'm paying perfect attention."
    menu:
        "Mr. Pumprock" "Then, what's g(f(12) when f=2x-4 and g=13-x?"
        "-7":
            jump correct
        "12":
            jump wrong
        "59":
            jump wrong
        "Who cares?":
            jump wrong
label correct:
    "Mr. Pumprock" "...Correct.{w} It seems you were paying attention afterall.
    {w} Good job."
    d "Thank you sir."
    play sound "schoolbell.wav"
    "Mr. Pumprock" "It seems class is over.{w} What a pity."
    "Phew!{w} Can't believe I dodged that one!"
    $lola_love +=1
    jump first_lunch
label wrong:
    "Mr Pumprock" "WRONG! {w}As punishment, you'll be spending lunch with me grading papers."
    d "Okay..."
    play sound "schoolbell.wav"
    "Mr. Pumprock" "It seems class is over.{w} What a pity."
    "Damn. {w}During my five centuries of life maybe I should've learned some math."
    $alex_love +=1
    jump detention
    
label detention:
    show demetri at left with pixellate
    "Ugh, can't believe I got stuck grading papers."
    show alex at right with moveinright
    d "Uh... are you also here to grade papers?"
    "???" "..."
    d "Hello?"
    "Right then, Mr. Pumprock walks in."
    "Mr. Pumprock" "Hello Alex, Demetri.{w} Ready to start grading papers?"
    d "I'm always ready.{w} Always."
    "Mr. Pumprock" "Yes, well, that's very nice."
    "He puts half the papers in front of me, and half in front of the girl apparently called Alex.
    {w} I start grading the papers."
    "My eyes keep flickering over to her.{w} She's cute.{w} Shy, but cute."
    "I finish my papers in ten minutes.{w} She's still working on hers."
    show demetri happy at left
    d "Want some help?"
    a "No."
    d "But'm already done.{w} I might as well help you."
    a "...Fine."
    "She hands half of the papers she still hasn't finished over to me. {w}I begin grading again.
    {w} Eventually it's all finished."
    d "So... how has your day been so far? {w}I'm Demetri, by the way."
    show alex frown
    a "It was great until this idiot started talking to me when I clearly didn't want to be talked to."
    show demetri frown at left
    d "Now that's harsh."
    a "Life is harsh.{w} I'll be going, then."
    hide demetri frown
    hide alex frown
    jump new_home

label first_lunch:
    scene cafeteria
    show demetri happy at right
    with pixellate
    "Lunch.{w} One of the many human inventions I admire.{w} Along with processed food in general.
    {w} Of course, being immortal means I don't have to eat, but it' still enjoyable."
    "???" "Hey, new kid!"
    show lola happy at left with moveinleft
    "???" "You're the new kid, Demetri, right?{w} I'm Lola."
    d "Nice to meet you."
    l "Yeah, nice to meet you too.{w} Come to me if you have any problems, okay?"
    "She turns to leave, but I stop her."
    d "Yeah, actually I do have a problem.{w} I don't have anyone to sit with."
    l "Well that is a problem, isn't it?{w} I suppose you can sit with me."
    d "Really?{w} How kind."
    "We sit down together and talk for the rest of lunch."
    hide demetri happy
    hide lola happy
    jump new_home
    
label new_home:
    scene livingroom
    show demetri sinister at left
    show harry at right
    with pixellate
    play music "Video Dungeon Boss.mp3" fadeout 1
    d "Oh, yes, yes, yes.{w} School is wonderful!{w} I mean school itself is kind
    of boring, but the people! {w}Yes, yes, absolutely marvelous!"
    h "But boss, aren't they like any other people?"
    d "Not so.{w} They're teenagers, Harry, teenagers.{w} Easily corrupted and full of confusion.
    {w} So fun to manipulate..."
    h "You say that, but, weren't you a teenager when you became a demon, boss?
    {w} Isn't that why you look like one?"
    show demetri frown at left
    d "Oh, shut up."
    h "How'd you get this house anyway, boss?"
    show demetri sinister at left
    d "Oh, just some simple persuasion on my part."
    h "You mean the owners are out on vacation."
    show demetri angry at left
    d "SHUT UP."
    hide demetri angry
    hide harry
    
    play music "Easy Lemon.mp3" fadeout 1
    scene cafeteria
    show demetri happy at left
    with pixellate
    "Today was more math. {w}I kept an eye out for the girl I met yesterday.{w} She sits at the back of the classroom."
    "Now it's time for lunch again."
    if alex_love ==1:
        menu:
            "Go over to Alex.":
                $alex_love +=1
                jump lunch_with_alex
            "Go meet somone new.":
                $lola_love =+1
                jump meet_lola
    if lola_love ==1:
        menu:
            "Go over to Lola.":
                $lola_love =+1
                jump lunch_with_lola
            "Meet somone new.":
                $alex_love =+1
                jump meet_alex
                
label lunch_with_alex:
    d "I walk over to where Alex is sitting, alone."
    show alex at right with moveinright
    d "Hey, Alex.{w} Nice weather today, isn't it?"
    show alex frown at right
    a "Who are you again?"
    d "Demetri, the incredibly handsome guy that shares English class with you."
    "She looks you up and down."
    a "Incredibly handsome?{w} More like outrageously narcissistic."
    show demetri frown at left
    d "Ouch.{w} You are most certainly a rose with many thorns."
    a "Yeah, well, can you leave now?"
    d "But aren't you lonely sitting all by yourself?"
    a "Let's see... nope."
    show demetri happy at left
    d "Liar."
    "I sit down next to her, and although she refuses to talk anymore, 
    I remain there for the rest of lunch."
    hide demetri with moveoutleft
    hide alex with moveoutright
    jump afterschool
    
label meet_alex:
    "I walk over to a girl sitting all by herself."
    show alex at right with moveinright
    d "Now what's a pretty girl like you doing sitting all alone."
    show alex frown at right
    "???" "Buzz off, pretty boy."
    d "Pretty boy? {w}So in other words I'm extremely handsome, right?"
    "???" "No, it just means that with the long hair you look like a girl."
    show demetri frown at left
    d "A lady shouldn't speak that way, you know."
    "???" "Who said I was a lady?"
    show demetri happy at left
    d "So what is your name, my beautiful but thorny rose?"
    "???" "Why should I tell you?{w} Will you leave if I say it?"
    d "Sure.{w} If you tell me your name, I'll leave."
    a "It's Alex.{w} Now scram."
    d "I lied."
    "With that I sit down next to her. {w}She makes a point to ignore me for the rest of lunch."
    hide demetri happy with moveoutleft
    hide alex frown with moveoutright
    jump afterschool
    
label lunch_with_lola:
    "I walk over to where Lola is sitting."
    show lola happy at right with moveinright
    d "And how are you today, my princess?"
    l "Wonderfully, my prince."
    "She giggles a little bit."
    l "So, any more problems?"
    d "Nah. {w}Things around here are pretty easy to understand."
    l "Good to hear.{w} Now what did you want?"
    d "Can't I just want to be with you?"
    show lola blush at right
    l "I suppose so..."
    d "That's good."
    show lola happy at right
    l "So... have any siblings?"
    d "Three.{w} All younger.{w} All brats."
    "She laughs.{w} I can't help but think this girl is so simple-minded."
    l "Any pets?"
    d "A really stupid one named Harry."
    l "You shouldn't talk that way about your beloved pet!{w} So what is he?
    {w} Cat, bird, dog, fish?"
    show demetri at left
    d "Uh... bird."
    l "I've always wanted a bird!{w} What kind is it?"
    d "A parrot?"
    "I talk like that with her for the rest of lunch."
    hide lola happy with moveoutright
    hide demetri with moveoutleft
    jump afterschool
    
label meet_lola:
    "I walk over to where one particularly pretty girl is sitting."
    show lola happy at right with moveinright
    d "Hey pretty girl.{w} Wanna hang out?"
    "???" "Shouldn't we introduce ourselves first?"
    d "Of course, of course.{w} I'm the amazingly handsome and talented Demetri.{w} You are?"
    l "The majestic and beautiful Lola, at your service."
    d "Nice to meet you Lola.{w} Wanna see a trick?"
    l "Sure."
    "I reach behind her ear and pull out a rose."
    show lola blush at right
    l "Oh my god! How did you do that?"
    "What an easy to impress girl."
    d "It's easy with magic."
    "Little does she know, it's my demonic powers."
    show lola happy at right
    l "So how come I haven't seen you around before, Demetri?"
    d "I'm new here."
    show lola frown at right
    l "Wait a minute... dang it! {w}You're the new kid I was supposed to show around!"
    d "Well, I found my classes fine.{w} No harm, no foul."
    show lola happy at right
    l "That's good to hear."
    "We chat for the rest of lunch."
    hide lola happy with moveoutright
    hide demetri happy with moveoutleft
    jump afterschool
    
label afterschool:
    menu:
        "What should I do after school?"
        "Go to Burger Bin.":
            $lola_love =+1
            jump fastfood
        "Go to the library.":
            $alex_love =+1
            jump library

label library:
    scene library
    show demetri at right
    with pixellate
    play music "George Street Shuffle.mp3" fadeout 1
    if alex_love >=0:
        jump alex_library
    if alex_love ==0:
        "No one I know is here.{w} Might as well go home."
        jump choose_human
        
label fastfood:
    scene fastfood
    show demetri at right
    with pixellate
    play music "Happy Bee.mp3" fadeout 1
    if lola_love >=0:
        jump lola_fastfood
    if lola_love ==0:
        "No one I know is here.{w} Might as well go home."
        jump choose_human
        
label alex_library:
    "I spot Alex sitting by herself in a corner, reading a book."
    show alex at left with moveinleft
    show demetri happy at right
    "She looks up and glares at me."
    show alex frown at left
    a "What are you doing here?"
    d "Well I thought I'd get some reading done, but the temptation to talk with you is far greater."
    a "How unfortunate for me."
    d "Yes, poor you. {w}Getting stuck with the wonderful me."
    show alex at left
    a "As long as you're here, make yourself useful."
    d "How?"
    a "I'm tired of reading.{w} Read for me."
    d "It would be my pleasure."
    show alex blush at left
    a "i'm just tired of reading, that's all, okay?
    {w} Don't think this is permission to always bother me."
    d "Of course."
    show alex at left
    "..."
    a "Well?"
    d "Yeah?"
    show alex angry at left
    a "START READING ALREADY!"
    d "Be quiet, my dear, this is a library."
    hide alex
    jump choose_human
    
label lola_fastfood:
    "I spot Lola sitting alone, sipping on a soda."
    show lola happy at left with moveinleft
    d "What a coincidence seeing you here!"
    l "Demetri! {w}Fancy seeing you here."
    d "Now what could a popular girl like yourself be doing here all alone?"
    l "Just felt like it."
    d "Mind if I join you?"
    l "Sure, why not?"
    l "So, how has school been going?"
    d "It's been going good."
    l "Favorite subject?"
    d "Math, because I share it with you."
    show lola blush at left
    l "Demetri, don't say such embaressing things."
    d "But I mean them."
    show lola happy at left
    l "Anyway... do you want to order something?"
    d "Sure!"
    "We spend the rest of the evening happily chatting."
    hide lola happy
    jump choose_human
    
label choose_human:
    hide demetri
    scene livingroom
    show demetri sinister at left
    show harry at right
    with pixellate
    play music "Video Dungeon Boss.mp3" fadeout 1
    h "So boss, have you been having fun at school?"
    d "Yes! {w}And I've decided who I'm going to corrupt."
    h "Really? Who?"
    if alex_love >=2:
        d "I'm going to corrupt a girl named..."
        d "Alex. {w}She's a challenge.{w} But I like her."
        h "That's great boss!"
        jump alex_path
    else:
        d "There's this girl named..."
        d "Lola.{w} She's simple minded. {w}She'll be easy to corrupt."
        h "Taking the easy route, eh boss?"
        jump lola_path
